Show / Hide Table of Contents

# Enum PluginLoadReason

This enum reflects reasons for loading a plugin.

###### Namespace: Dalamud.Plugin

###### Assembly: Dalamud.dll

##### Syntax

    public enum PluginLoadReason

### Fields

Name | Description
--- | ---
Boot | This plugin was loaded because the game was started or Dalamud was reinjected.
Installer | This plugin was loaded because it was installed with the plugin installer.
Reload | This plugin was loaded because it was told to reload.
Unknown | We don't know why this plugin was loaded.
Update | This plugin was loaded because it was just updated.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()